<?php



$tdatatb_despesas = array();
$tdatatb_despesas[".searchableFields"] = array();
$tdatatb_despesas[".ShortName"] = "tb_despesas";
$tdatatb_despesas[".OwnerID"] = "";
$tdatatb_despesas[".OriginalTable"] = "tb_despesas";


$tdatatb_despesas[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatatb_despesas[".originalPagesByType"] = $tdatatb_despesas[".pagesByType"];
$tdatatb_despesas[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatatb_despesas[".originalPages"] = $tdatatb_despesas[".pages"];
$tdatatb_despesas[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"list\":\"list\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatatb_despesas[".originalDefaultPages"] = $tdatatb_despesas[".defaultPages"];

//	field labels
$fieldLabelstb_despesas = array();
$fieldToolTipstb_despesas = array();
$pageTitlestb_despesas = array();
$placeHolderstb_despesas = array();

if(mlang_getcurrentlang()=="Portuguese(Brazil)")
{
	$fieldLabelstb_despesas["Portuguese(Brazil)"] = array();
	$fieldToolTipstb_despesas["Portuguese(Brazil)"] = array();
	$placeHolderstb_despesas["Portuguese(Brazil)"] = array();
	$pageTitlestb_despesas["Portuguese(Brazil)"] = array();
	$fieldLabelstb_despesas["Portuguese(Brazil)"]["despesaID"] = "Despesa ID";
	$fieldToolTipstb_despesas["Portuguese(Brazil)"]["despesaID"] = "";
	$placeHolderstb_despesas["Portuguese(Brazil)"]["despesaID"] = "";
	$fieldLabelstb_despesas["Portuguese(Brazil)"]["categoria"] = "Categoria";
	$fieldToolTipstb_despesas["Portuguese(Brazil)"]["categoria"] = "";
	$placeHolderstb_despesas["Portuguese(Brazil)"]["categoria"] = "";
	$fieldLabelstb_despesas["Portuguese(Brazil)"]["conta"] = "Conta";
	$fieldToolTipstb_despesas["Portuguese(Brazil)"]["conta"] = "";
	$placeHolderstb_despesas["Portuguese(Brazil)"]["conta"] = "";
	$fieldLabelstb_despesas["Portuguese(Brazil)"]["valor_pago"] = "Valor Pago";
	$fieldToolTipstb_despesas["Portuguese(Brazil)"]["valor_pago"] = "";
	$placeHolderstb_despesas["Portuguese(Brazil)"]["valor_pago"] = "";
	$fieldLabelstb_despesas["Portuguese(Brazil)"]["data_pagto"] = "Data Pagto";
	$fieldToolTipstb_despesas["Portuguese(Brazil)"]["data_pagto"] = "";
	$placeHolderstb_despesas["Portuguese(Brazil)"]["data_pagto"] = "";
	$fieldLabelstb_despesas["Portuguese(Brazil)"]["forma"] = "Forma";
	$fieldToolTipstb_despesas["Portuguese(Brazil)"]["forma"] = "";
	$placeHolderstb_despesas["Portuguese(Brazil)"]["forma"] = "";
	$fieldLabelstb_despesas["Portuguese(Brazil)"]["descricao"] = "Descricao";
	$fieldToolTipstb_despesas["Portuguese(Brazil)"]["descricao"] = "";
	$placeHolderstb_despesas["Portuguese(Brazil)"]["descricao"] = "";
	$fieldLabelstb_despesas["Portuguese(Brazil)"]["debitar"] = "Debitar";
	$fieldToolTipstb_despesas["Portuguese(Brazil)"]["debitar"] = "";
	$placeHolderstb_despesas["Portuguese(Brazil)"]["debitar"] = "";
	$fieldLabelstb_despesas["Portuguese(Brazil)"]["fonte_caixa"] = "Fonte Caixa";
	$fieldToolTipstb_despesas["Portuguese(Brazil)"]["fonte_caixa"] = "";
	$placeHolderstb_despesas["Portuguese(Brazil)"]["fonte_caixa"] = "";
	if (count($fieldToolTipstb_despesas["Portuguese(Brazil)"]))
		$tdatatb_despesas[".isUseToolTips"] = true;
}


	$tdatatb_despesas[".NCSearch"] = true;


	$tdatatb_despesas[".scrollGridBody"] = true;

$tdatatb_despesas[".shortTableName"] = "tb_despesas";
$tdatatb_despesas[".nSecOptions"] = 0;

$tdatatb_despesas[".mainTableOwnerID"] = "";
$tdatatb_despesas[".entityType"] = 0;

$tdatatb_despesas[".strOriginalTableName"] = "tb_despesas";

	



$tdatatb_despesas[".showAddInPopup"] = false;

$tdatatb_despesas[".showEditInPopup"] = false;

$tdatatb_despesas[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatatb_despesas[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatatb_despesas[".listAjax"] = false;
//	temporary
$tdatatb_despesas[".listAjax"] = false;

	$tdatatb_despesas[".audit"] = false;

	$tdatatb_despesas[".locking"] = false;


$pages = $tdatatb_despesas[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatatb_despesas[".edit"] = true;
	$tdatatb_despesas[".afterEditAction"] = 0;
	$tdatatb_despesas[".closePopupAfterEdit"] = 1;
	$tdatatb_despesas[".afterEditActionDetTable"] = "Detail tables not found!";
}

if( $pages[PAGE_ADD] ) {
$tdatatb_despesas[".add"] = true;
$tdatatb_despesas[".afterAddAction"] = 0;
$tdatatb_despesas[".closePopupAfterAdd"] = 1;
$tdatatb_despesas[".afterAddActionDetTable"] = "Detail tables not found!";
}

if( $pages[PAGE_LIST] ) {
	$tdatatb_despesas[".list"] = true;
}



$tdatatb_despesas[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatatb_despesas[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatatb_despesas[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatatb_despesas[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatatb_despesas[".printFriendly"] = true;
}



$tdatatb_despesas[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatatb_despesas[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatatb_despesas[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatatb_despesas[".isUseAjaxSuggest"] = true;

$tdatatb_despesas[".rowHighlite"] = true;





$tdatatb_despesas[".ajaxCodeSnippetAdded"] = false;

$tdatatb_despesas[".buttonsAdded"] = false;

$tdatatb_despesas[".addPageEvents"] = false;

// use timepicker for search panel
$tdatatb_despesas[".isUseTimeForSearch"] = false;


$tdatatb_despesas[".badgeColor"] = "B22222";


$tdatatb_despesas[".allSearchFields"] = array();
$tdatatb_despesas[".filterFields"] = array();
$tdatatb_despesas[".requiredSearchFields"] = array();

$tdatatb_despesas[".googleLikeFields"] = array();
$tdatatb_despesas[".googleLikeFields"][] = "despesaID";
$tdatatb_despesas[".googleLikeFields"][] = "categoria";
$tdatatb_despesas[".googleLikeFields"][] = "conta";
$tdatatb_despesas[".googleLikeFields"][] = "valor_pago";
$tdatatb_despesas[".googleLikeFields"][] = "data_pagto";
$tdatatb_despesas[".googleLikeFields"][] = "forma";
$tdatatb_despesas[".googleLikeFields"][] = "descricao";
$tdatatb_despesas[".googleLikeFields"][] = "debitar";
$tdatatb_despesas[".googleLikeFields"][] = "fonte_caixa";



$tdatatb_despesas[".tableType"] = "list";

$tdatatb_despesas[".printerPageOrientation"] = 0;
$tdatatb_despesas[".nPrinterPageScale"] = 100;

$tdatatb_despesas[".nPrinterSplitRecords"] = 40;

$tdatatb_despesas[".geocodingEnabled"] = false;










$tdatatb_despesas[".pageSize"] = 20;

$tdatatb_despesas[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatatb_despesas[".strOrderBy"] = $tstrOrderBy;

$tdatatb_despesas[".orderindexes"] = array();

$tdatatb_despesas[".sqlHead"] = "SELECT despesaID,  categoria,  conta,  valor_pago,  data_pagto,  forma,  descricao,  debitar,  fonte_caixa";
$tdatatb_despesas[".sqlFrom"] = "FROM tb_despesas";
$tdatatb_despesas[".sqlWhereExpr"] = "";
$tdatatb_despesas[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatatb_despesas[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatatb_despesas[".arrGroupsPerPage"] = $arrGPP;

$tdatatb_despesas[".highlightSearchResults"] = true;

$tableKeystb_despesas = array();
$tableKeystb_despesas[] = "despesaID";
$tdatatb_despesas[".Keys"] = $tableKeystb_despesas;


$tdatatb_despesas[".hideMobileList"] = array();




//	despesaID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "despesaID";
	$fdata["GoodName"] = "despesaID";
	$fdata["ownerTable"] = "tb_despesas";
	$fdata["Label"] = GetFieldLabel("tb_despesas","despesaID");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "despesaID";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "despesaID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_despesas["despesaID"] = $fdata;
		$tdatatb_despesas[".searchableFields"][] = "despesaID";
//	categoria
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "categoria";
	$fdata["GoodName"] = "categoria";
	$fdata["ownerTable"] = "tb_despesas";
	$fdata["Label"] = GetFieldLabel("tb_despesas","categoria");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "categoria";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "categoria";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "tb_categ_despesas";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "catdespID";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "categoria";

				$edata["LookupWhere"] = "ativar =1";


	
	$edata["LookupOrderBy"] = "categoria";

	
	
		$edata["AllowToAdd"] = true;
			$edata["addPageId"] = "add";

	
				//dependent dropdowns @deprecated data ?
	$edata["DependentLookups"] = array();
	$edata["DependentLookups"][] = "conta";

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_despesas["categoria"] = $fdata;
		$tdatatb_despesas[".searchableFields"][] = "categoria";
//	conta
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "conta";
	$fdata["GoodName"] = "conta";
	$fdata["ownerTable"] = "tb_despesas";
	$fdata["Label"] = GetFieldLabel("tb_despesas","conta");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "conta";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "conta";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "tb_contas_desp";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "despID";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "conta";

				$edata["LookupWhere"] = "ativar=1";


	
	$edata["LookupOrderBy"] = "categoria";

	
		$edata["UseCategory"] = true;
	$edata["categoryFields"] = array();
	$edata["categoryFields"][] = array( "main" => "categoria", "lookup" => "categoria" );

	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_despesas["conta"] = $fdata;
		$tdatatb_despesas[".searchableFields"][] = "conta";
//	valor_pago
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "valor_pago";
	$fdata["GoodName"] = "valor_pago";
	$fdata["ownerTable"] = "tb_despesas";
	$fdata["Label"] = GetFieldLabel("tb_despesas","valor_pago");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "valor_pago";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "valor_pago";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Currency");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_despesas["valor_pago"] = $fdata;
		$tdatatb_despesas[".searchableFields"][] = "valor_pago";
//	data_pagto
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "data_pagto";
	$fdata["GoodName"] = "data_pagto";
	$fdata["ownerTable"] = "tb_despesas";
	$fdata["Label"] = GetFieldLabel("tb_despesas","data_pagto");
	$fdata["FieldType"] = 7;

	
	
	
			

		$fdata["strField"] = "data_pagto";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "data_pagto";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 2;
	$edata["InitialYearFactor"] = 1;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_despesas["data_pagto"] = $fdata;
		$tdatatb_despesas[".searchableFields"][] = "data_pagto";
//	forma
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "forma";
	$fdata["GoodName"] = "forma";
	$fdata["ownerTable"] = "tb_despesas";
	$fdata["Label"] = GetFieldLabel("tb_despesas","forma");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "forma";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "forma";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
		$edata["LookupType"] = 0;
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
	
		$edata["LookupValues"] = array();
	$edata["LookupValues"][] = "Dinheiro";
	$edata["LookupValues"][] = "Pix";
	$edata["LookupValues"][] = "Débito ";
	$edata["LookupValues"][] = "Crédito ";
	$edata["LookupValues"][] = "Permuta";
	$edata["LookupValues"][] = "Empréstimo";

	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_despesas["forma"] = $fdata;
		$tdatatb_despesas[".searchableFields"][] = "forma";
//	descricao
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "descricao";
	$fdata["GoodName"] = "descricao";
	$fdata["ownerTable"] = "tb_despesas";
	$fdata["Label"] = GetFieldLabel("tb_despesas","descricao");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "descricao";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "descricao";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=500";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_despesas["descricao"] = $fdata;
		$tdatatb_despesas[".searchableFields"][] = "descricao";
//	debitar
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "debitar";
	$fdata["GoodName"] = "debitar";
	$fdata["ownerTable"] = "tb_despesas";
	$fdata["Label"] = GetFieldLabel("tb_despesas","debitar");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "debitar";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "debitar";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Checkbox");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Checkbox");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_despesas["debitar"] = $fdata;
		$tdatatb_despesas[".searchableFields"][] = "debitar";
//	fonte_caixa
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "fonte_caixa";
	$fdata["GoodName"] = "fonte_caixa";
	$fdata["ownerTable"] = "tb_despesas";
	$fdata["Label"] = GetFieldLabel("tb_despesas","fonte_caixa");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "fonte_caixa";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "fonte_caixa";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
		$edata["LookupType"] = 0;
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
	
		$edata["LookupValues"] = array();
	$edata["LookupValues"][] = "CX Físico ";
	$edata["LookupValues"][] = "PicPay Fatto";
	$edata["LookupValues"][] = "Itaú (Luiz)";
	$edata["LookupValues"][] = "Picpay (Rafael)";
	$edata["LookupValues"][] = "Outros";

	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_despesas["fonte_caixa"] = $fdata;
		$tdatatb_despesas[".searchableFields"][] = "fonte_caixa";


$tables_data["tb_despesas"]=&$tdatatb_despesas;
$field_labels["tb_despesas"] = &$fieldLabelstb_despesas;
$fieldToolTips["tb_despesas"] = &$fieldToolTipstb_despesas;
$placeHolders["tb_despesas"] = &$placeHolderstb_despesas;
$page_titles["tb_despesas"] = &$pageTitlestb_despesas;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["tb_despesas"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["tb_despesas"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_tb_despesas()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "despesaID,  categoria,  conta,  valor_pago,  data_pagto,  forma,  descricao,  debitar,  fonte_caixa";
$proto0["m_strFrom"] = "FROM tb_despesas";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "despesaID",
	"m_strTable" => "tb_despesas",
	"m_srcTableName" => "tb_despesas"
));

$proto6["m_sql"] = "despesaID";
$proto6["m_srcTableName"] = "tb_despesas";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "categoria",
	"m_strTable" => "tb_despesas",
	"m_srcTableName" => "tb_despesas"
));

$proto8["m_sql"] = "categoria";
$proto8["m_srcTableName"] = "tb_despesas";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "conta",
	"m_strTable" => "tb_despesas",
	"m_srcTableName" => "tb_despesas"
));

$proto10["m_sql"] = "conta";
$proto10["m_srcTableName"] = "tb_despesas";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "valor_pago",
	"m_strTable" => "tb_despesas",
	"m_srcTableName" => "tb_despesas"
));

$proto12["m_sql"] = "valor_pago";
$proto12["m_srcTableName"] = "tb_despesas";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "data_pagto",
	"m_strTable" => "tb_despesas",
	"m_srcTableName" => "tb_despesas"
));

$proto14["m_sql"] = "data_pagto";
$proto14["m_srcTableName"] = "tb_despesas";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "forma",
	"m_strTable" => "tb_despesas",
	"m_srcTableName" => "tb_despesas"
));

$proto16["m_sql"] = "forma";
$proto16["m_srcTableName"] = "tb_despesas";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "descricao",
	"m_strTable" => "tb_despesas",
	"m_srcTableName" => "tb_despesas"
));

$proto18["m_sql"] = "descricao";
$proto18["m_srcTableName"] = "tb_despesas";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "debitar",
	"m_strTable" => "tb_despesas",
	"m_srcTableName" => "tb_despesas"
));

$proto20["m_sql"] = "debitar";
$proto20["m_srcTableName"] = "tb_despesas";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLField(array(
	"m_strName" => "fonte_caixa",
	"m_strTable" => "tb_despesas",
	"m_srcTableName" => "tb_despesas"
));

$proto22["m_sql"] = "fonte_caixa";
$proto22["m_srcTableName"] = "tb_despesas";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto24=array();
$proto24["m_link"] = "SQLL_MAIN";
			$proto25=array();
$proto25["m_strName"] = "tb_despesas";
$proto25["m_srcTableName"] = "tb_despesas";
$proto25["m_columns"] = array();
$proto25["m_columns"][] = "despesaID";
$proto25["m_columns"][] = "categoria";
$proto25["m_columns"][] = "conta";
$proto25["m_columns"][] = "valor_pago";
$proto25["m_columns"][] = "data_pagto";
$proto25["m_columns"][] = "forma";
$proto25["m_columns"][] = "descricao";
$proto25["m_columns"][] = "debitar";
$proto25["m_columns"][] = "fonte_caixa";
$proto25["m_columns"][] = "reembolsar";
$proto25["m_columns"][] = "quitado";
$proto25["m_columns"][] = "data_qitacao";
$obj = new SQLTable($proto25);

$proto24["m_table"] = $obj;
$proto24["m_sql"] = "tb_despesas";
$proto24["m_alias"] = "";
$proto24["m_srcTableName"] = "tb_despesas";
$proto26=array();
$proto26["m_sql"] = "";
$proto26["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto26["m_column"]=$obj;
$proto26["m_contained"] = array();
$proto26["m_strCase"] = "";
$proto26["m_havingmode"] = false;
$proto26["m_inBrackets"] = false;
$proto26["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto26);

$proto24["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto24);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="tb_despesas";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_tb_despesas = createSqlQuery_tb_despesas();


	
		;

									

$tdatatb_despesas[".sqlquery"] = $queryData_tb_despesas;

$tableEvents["tb_despesas"] = new eventsBase;
$tdatatb_despesas[".hasEvents"] = false;

?>